Pagina 1 di 1

Impossibile aggiornare glibc-solibs

Inviato: gio set 12, 2013 11:16
da ilrobyt
Hola, ho una current 32 bit che da qualche tempo non mi fa aggiornare le solibs.
In pratica quando do l'upgrade si perde la libc e quindi non esegue alcun comando:
root@roberto:/lib# upgradepkg --reinstall /glibc-solibs-2.17-i486-6.txz

+==============================================================================
| Upgrading glibc-solibs-2.17-i486-6 package using //glibc-solibs-2.17-i486-6.txz
+==============================================================================

Pre-installing package glibc-solibs-2.17-i486-6...
rm: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
rm: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
fino alla fine
install/doinst.sh: line 135: /sbin/telinit: No such file or directory
/sbin/installpkg: line 579: /usr/bin/cp: No such file or directory
/sbin/installpkg: line 580: /usr/bin/chmod: No such file or directory
/sbin/installpkg: line 588: /usr/bin/rm: No such file or directory
/sbin/installpkg: line 590: /usr/bin/rm: No such file or directory
/sbin/installpkg: line 592: /usr/bin/basename: No such file or directory
/sbin/upgradepkg: /sbin/removepkg: /bin/sh: bad interpreter: File o directory non esistente
/sbin/upgradepkg: line 362: /usr/bin/grep: File o directory non esistente
/sbin/upgradepkg: line 362: /usr/bin/grep: File o directory non esistente

/sbin/upgradepkg: /sbin/installpkg: /bin/sh: bad interpreter: File o directory non esistente
Package glibc-solibs-2.17-i486-6 upgraded with new package //glibc-solibs-2.17-i486-6.txz.
ovviamente non upgrada niente.
Cosa posso quardare?

Re: Impossibile aggiornare glibc-solibs

Inviato: gio set 12, 2013 14:00
da ZeroUno
A come sta questa macchina non fa neanche il boot.

Se tar funziona dai:

Codice: Seleziona tutto

# cd /
# tar xvf  glibc-solibs-2.17-i486-6.txz
# ldconfig
# . install/doinst.sh

e poi ridai l'upgradepkg

se tar non funziona (o la macchina non fa il boot), fai boot da cd, monta la partizione e fai la stessa cosa (ma cd /mnt). Poi reboot e dai l'upgradepkg

Re: Impossibile aggiornare glibc-solibs

Inviato: gio set 12, 2013 14:09
da ilrobyt
Ok dopo provo la seconda (se mi si schianta la macchina mi altero )
Ti faccio sapere

Re: Impossibile aggiornare glibc-solibs

Inviato: sab set 14, 2013 9:34
da ilrobyt
ilrobyt ha scritto:Ok dopo provo la seconda (se mi si schianta la macchina mi altero )
Ti faccio sapere


non gli interessa.
Ho aggiornato da cd ma dopo da comunque l'errore.
Se volessi reinstallare la current (ho kde di alienbob) come posso fare senza incasinarmi troppo?

Re: Impossibile aggiornare glibc-solibs

Inviato: sab set 14, 2013 16:53
da ZeroUno
io non capisco. La macchina fa il boot o no? Fallisce solo l'aggiornamento o non funziona ocmpletamente più il sistema?
Hai tentato la riparazion da dvd con "cd /tmp" "tar xvf ....." ecc. o che?

e il dvd quale hai usato (ufficiale di slackware-current non esiste; hai preso il 14.0 o scaricato o fatto uno custom?)

Per 'voler reinstallare' che intendi, piallare e reinstallare da capo o installare sopra a questa che non funziona? cioè quindi da dvd o da sistema?

Re: Impossibile aggiornare glibc-solibs

Inviato: lun set 16, 2013 13:33
da ilrobyt
ZeroUno ha scritto:io non capisco. La macchina fa il boot o no? Fallisce solo l'aggiornamento o non funziona ocmpletamente più il sistema?
Hai tentato la riparazion da dvd con "cd /tmp" "tar xvf ....." ecc. o che?

e il dvd quale hai usato (ufficiale di slackware-current non esiste; hai preso il 14.0 o scaricato o fatto uno custom?)

Per 'voler reinstallare' che intendi, piallare e reinstallare da capo o installare sopra a questa che non funziona? cioè quindi da dvd o da sistema?

Il pc funziona regolarmente (è quello da cui ti sto scrivendo): slack current, kde di alien ecc ecc.
L'unica cosa che non va è l'aggiornamento delle glib-solibs(e quindi sospetto che ci siano problemi in generale con le librerie se sono in uso in quel momento ma non ho al momento niente da aggiornare per provare.)
Sono entrato con un cd della 14 e ho aggiornato a mano le solibs montando l'hd.
Per reinstallare intendo NON piallare perché c'è un po' troppa roba di lavoro.
Anche perché se metto la 14 poi non posso utilizzare kde di alien

Re: Impossibile aggiornare glibc-solibs

Inviato: lun set 16, 2013 13:53
da ZeroUno
La reinstallazione è possibile, con un po' di attenzione, ma la sconsiglio; è meglio capire piuttosto che problema hai.

Sono entrato con un cd della 14 e ho aggiornato a mano le solibs montando l'hd.

cioè con tar? quando hai lanciato ". install/doinst.sh" come è andata?

cominciamo da quì:

Codice: Seleziona tutto

# ls -ltr /var/log/*packages
# ls -ltr /var/log/*scripts
# md5sum glibc-solibs-2.17-i486-6.txz

e posta il risultato così vediamo cosa hai sulla macchina.